function tss = ABtest_one(srcFolder)
% modelFolder : folder that contains trained model file 'model.mat'
% srcFolder : image input folder
% destFolder : destination folder

load 'model'; % load trained shared-sketch model
Iname = dir([srcFolder '\*.jpg']); % image file names from input folder

nimage = size(Iname, 1); % # images
Isize = zeros(nimage, 2);
for i = 1 : nimage
    tmpIm = imread([srcFolder '\' Iname(i).name]);
    if size(tmpIm,3) == 3
        tmpIm = rgb2gray(tmpIm);
    end
    I{i} = imresize(imresize(double(tmpIm), 1./fold, 'nearest'), fold, 'nearest'); 
    Isize(i, :) = size(I{i});
end
sx = min(Isize(:, 1)); sy = min(Isize(:, 2)); 
for (i = 1 : nimage)
    I{i} = I{i}(1:sx, 1:sy); 
end   % make the sizes of the testing images the same

Sx = zeros(1, nimage) + sx; 
Sy = zeros(1, nimage) + sy; 

% filter the testing images 
disp(['start filtering']);
tic
allfiltered = applyfilterfftsame(I, allfilter);  % filter testing images
disp(['filtering time: ' num2str(toc) ' seconds']);

% sigmoid transformation
mex Ctransform.c; 
Ctransform(nimage, norient, allfiltered, Sx, Sy, Upperbound);

% prepare the spaces for C code
Asym = cell(1, nimage);   % symbolic plot for each image with active Gabor
for (i = 1 : nimage)
    Asym{i} = zeros(size(I{1}));  
end
tss = zeros(nimage, 1);  % total scores for testing images

% pass on the pointers to C for heavy computation
disp(['start testing']);
tic
Ctesting(nimage, norient, allfiltered, C, h, sx, sy, Mi, Mx, My, Mm, Mm1, allsymbol(1, :), Asym, Lrange, Orange, sub, Totalsketch, Upperbound, tss, M, lam, e, lz);
disp(['mex-C testing time: ' num2str(toc) ' seconds']);